# Interface SwiftSharedLibrary

All Superinterfaces:
  `Named, SoftwareComponent, SwiftBinary`

@Incubating public interface SwiftSharedLibrary extends SwiftBinary
A shared library built from Swift source.

Since:
  4.2

## Nested Class Summary

### Nested classes/interfaces inherited from interface Named

`Named.Namer`

## Method Summary

Modifier and Type
Method
Description
`Provider<RegularFile>`
`getRuntimeFile()`
Returns the run-time file for this binary.

### Methods inherited from interface Named

`getName`

### Methods inherited from interface SwiftBinary

`getCompileModules, getLinkLibraries, getModule, getObjects, getRuntimeLibraries, getSwiftSource, isDebuggable, isTestable`

## Method Details

### getRuntimeFile

Provider<RegularFile> getRuntimeFile()
Returns the run-time file for this binary.

Since:
  4.4